apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-07-01T08:45:13Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
      manager: Mozilla
      operation: Update
      time: '2025-07-01T08:45:13Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-07-02T03:05:59Z'
  name: rhv-test
  namespace: openshift-mtv
  resourceVersion: '6758837'
  uid: 0feb5c75-21d4-47dc-89ed-a79fd1a904c9
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: networkmap-rhev
      namespace: openshift-mtv
      uid: edfce68f-926d-4315-9415-d2edbf2afbb2
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: storagemap-rhv
      namespace: openshift-mtv
      uid: db943036-6867-422c-bed5-448d279d5c1b
  migrateSharedDisks: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 91b3a1e0-89b9-45be-acd2-d906028fd0f5
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: rhv
      namespace: openshift-mtv
      uid: 55338fcb-40b7-4b82-bed1-7e3b3b58df1b
  pvcNameTemplateUseGenerateName: true
  skipGuestConversion: false
  targetNamespace: mtv-test
  vms:
    - id: 745d8570-0729-4fd6-96b7-0b03209cf439
      name: mtv-rhel8-warm-sanity-nfs
  warm: true
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-07-01T08:45:13Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-07-02T03:05:59Z'
      message: The plan execution has FAILED.
      status: 'True'
      type: Failed
  migration:
    completed: '2025-07-02T03:05:59Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-07-01T08:46:48Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: networkmap-rhev
            namespace: openshift-mtv
            uid: edfce68f-926d-4315-9415-d2edbf2afbb2
          storage:
            generation: 1
            name: storagemap-rhv
            namespace: openshift-mtv
            uid: db943036-6867-422c-bed5-448d279d5c1b
        migration:
          generation: 1
          name: rhv-test-qddzk
          namespace: openshift-mtv
          uid: 392a5737-818f-4848-99a8-ce03362500ff
        plan:
          generation: 1
          name: rhv-test
          namespace: openshift-mtv
          uid: 0feb5c75-21d4-47dc-89ed-a79fd1a904c9
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 91b3a1e0-89b9-45be-acd2-d906028fd0f5
          source:
            generation: 1
            name: rhv
            namespace: openshift-mtv
            uid: 55338fcb-40b7-4b82-bed1-7e3b3b58df1b
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-07-02T02:40:35Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: networkmap-rhev
            namespace: openshift-mtv
            uid: edfce68f-926d-4315-9415-d2edbf2afbb2
          storage:
            generation: 1
            name: storagemap-rhv
            namespace: openshift-mtv
            uid: db943036-6867-422c-bed5-448d279d5c1b
        migration:
          generation: 1
          name: rhv-test-95trf
          namespace: openshift-mtv
          uid: 7308f287-ac8d-48c8-baa6-1accba804cf1
        plan:
          generation: 1
          name: rhv-test
          namespace: openshift-mtv
          uid: 0feb5c75-21d4-47dc-89ed-a79fd1a904c9
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 91b3a1e0-89b9-45be-acd2-d906028fd0f5
          source:
            generation: 1
            name: rhv
            namespace: openshift-mtv
            uid: 55338fcb-40b7-4b82-bed1-7e3b3b58df1b
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-07-02T02:43:38Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: networkmap-rhev
            namespace: openshift-mtv
            uid: edfce68f-926d-4315-9415-d2edbf2afbb2
          storage:
            generation: 1
            name: storagemap-rhv
            namespace: openshift-mtv
            uid: db943036-6867-422c-bed5-448d279d5c1b
        migration:
          generation: 1
          name: rhv-test-nz9gx
          namespace: openshift-mtv
          uid: d17d3f74-ca5b-4d3c-823a-b5247ee03ff1
        plan:
          generation: 1
          name: rhv-test
          namespace: openshift-mtv
          uid: 0feb5c75-21d4-47dc-89ed-a79fd1a904c9
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 91b3a1e0-89b9-45be-acd2-d906028fd0f5
          source:
            generation: 1
            name: rhv
            namespace: openshift-mtv
            uid: 55338fcb-40b7-4b82-bed1-7e3b3b58df1b
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-07-02T02:47:14Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: networkmap-rhev
            namespace: openshift-mtv
            uid: edfce68f-926d-4315-9415-d2edbf2afbb2
          storage:
            generation: 1
            name: storagemap-rhv
            namespace: openshift-mtv
            uid: db943036-6867-422c-bed5-448d279d5c1b
        migration:
          generation: 1
          name: rhv-test-424qf
          namespace: openshift-mtv
          uid: 28676c95-6262-44b7-8747-d4fa9a0f41ff
        plan:
          generation: 1
          name: rhv-test
          namespace: openshift-mtv
          uid: 0feb5c75-21d4-47dc-89ed-a79fd1a904c9
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 91b3a1e0-89b9-45be-acd2-d906028fd0f5
          source:
            generation: 1
            name: rhv
            namespace: openshift-mtv
            uid: 55338fcb-40b7-4b82-bed1-7e3b3b58df1b
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-07-02T03:05:59Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: networkmap-rhev
            namespace: openshift-mtv
            uid: edfce68f-926d-4315-9415-d2edbf2afbb2
          storage:
            generation: 1
            name: storagemap-rhv
            namespace: openshift-mtv
            uid: db943036-6867-422c-bed5-448d279d5c1b
        migration:
          generation: 1
          name: rhv-test-7l6rg
          namespace: openshift-mtv
          uid: 4a44e400-a6a3-4256-968f-5aa9095f8431
        plan:
          generation: 1
          name: rhv-test
          namespace: openshift-mtv
          uid: 0feb5c75-21d4-47dc-89ed-a79fd1a904c9
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 91b3a1e0-89b9-45be-acd2-d906028fd0f5
          source:
            generation: 1
            name: rhv
            namespace: openshift-mtv
            uid: 55338fcb-40b7-4b82-bed1-7e3b3b58df1b
    started: '2025-07-02T03:05:53Z'
    vms:
      - started: '2025-07-02T03:05:53Z'
        pipeline:
          - description: Initialize migration.
            error:
              phase: Running
              reasons:
                - Could not find snapshot in precopies list
            name: Initialize
            phase: Running
            progress:
              completed: 0
              total: 1
            started: '2025-07-02T03:05:53Z'
          - annotations:
              unit: MB
            description: Transfer disks.
            name: DiskTransfer
            phase: Pending
            progress:
              completed: 0
              total: 10240
            tasks:
              - annotations:
                  unit: MB
                name: 30fa7e1d-a498-4e85-8fec-0b4dd58520c4
                progress:
                  completed: 0
                  total: 10240
          - annotations:
              unit: MB
            description: Finalize disk transfer.
            name: Cutover
            progress:
              completed: 0
              total: 10240
            tasks:
              - annotations:
                  unit: MB
                name: 30fa7e1d-a498-4e85-8fec-0b4dd58520c4
                progress:
                  completed: 0
                  total: 10240
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        warm:
          consecutiveFailures: 0
          failures: 0
          precopies:
            - snapshot: 1203e67b-ad94-434e-96fd-77edbf1db67b
              start: '2025-07-02T03:05:56Z'
          successes: 0
        error:
          phase: WaitForInitialSnapshot
          reasons:
            - Could not find snapshot in precopies list
        completed: '2025-07-02T03:05:59Z'
        name: mtv-rhel8-warm-sanity-nfs
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-07-02T03:05:58Z'
            message: The VM migration has FAILED.
            status: 'True'
            type: Failed
        id: 745d8570-0729-4fd6-96b7-0b03209cf439
        phase: Completed
  observedGeneration: 1
